Bug 234936 - FC6: dma_timer_expiry: dma status==0x24 in Pentium dual core
FC6: dma_timer_expiry: dma status==0x24 in Pentium dual core
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
6
i686 Linux
medium Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks: 427887
  Show dependency treegraph
 
Reported: 2007-04-02 18:55 EDT by Jose David Forero
Modified: 2008-02-07 23:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-07 23:25:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg > dmesg.txt (5.85 KB, application/zip)
2007-04-02 18:55 EDT, Jose David Forero
no flags Details
sysreport taken from guest (429.44 KB, application/x-bzip2)
2007-05-23 11:54 EDT, Chris Evich
no flags Details

  None (edit)
Description Jose David Forero 2007-04-02 18:55:58 EDT
Description of problem:
Please tell me a better solution. Thanks.
Problem:

I installed Fedora6 in a Pentium Dual-Core 3 GHz

uname -a:
Linux localhost.localdomain 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT
2006 i686 i686 i386 GNU/Linux

The Single Processor Mode in the ROM BIOS was disabled.
While starting the services, when is calculating the sshd key pair, after a long
delay:
    hdc: dma_timer_expiry: dma status==0x24
    hdc: DMA interrupt recovery
    hdc: lost interrupt ... more messages of this type.

Version-Release number of selected component (if applicable):
uname -a:
Linux localhost.localdomain 2.6.18-1.2798.fc6 #1 SMP Mon Oct 16 14:37:32 EDT
2006 i686 i686 i386 GNU/Linux


How reproducible:
Install FC6 on a Pentium Dual Core box and boot the first time.

Steps to Reproduce:
1. Install FC6 on a Pentium Dual Core box
2. Boot the first time with "Single Processor Mode" in the ROM BIOS disabled.
  
Actual results:
    hdc: dma_timer_expiry: dma status==0x24
    hdc: DMA interrupt recovery
    hdc: lost interrupt

Expected results:
Load SMP Kernel.

Additional info:

My (BRUTAL) fix:
ROM BIOS: SW Single Processor Mode = Enable
Comment 1 Jose David Forero 2007-04-02 18:55:58 EDT
Created attachment 151488 [details]
dmesg > dmesg.txt
Comment 2 Chuck Ebbert 2007-04-02 19:09:42 EDT
Update your kernel to 2.6.20-1.2933 and try that.
Comment 3 Jose David Forero 2007-04-04 13:10:51 EDT
Yesterday I updated the kernel with the same result.
yum install kernel.i686
uname -a
Linux localhost.localdomain 2.6.20-1.2933.fc6 #1 SMP Mon Mar 19 11:38:26 EDT
2007 i686 i686 i386 GNU/Linux
Comment 4 Chris Evich 2007-05-23 11:54:31 EDT
Created attachment 155269 [details]
sysreport taken from guest

Running RHEL3u8 UP-kernel 2.4.21-47.0.1 full-virt under RHEL5
2.6.18-8.1.4.el5xen on a dual-core AMD 64 box and seeing the exact same
behavior/messages.  Looked through host systems logs and xend logs but found
nothing.  Host is running other RHEL4 and 5 guests, full and para-virt, they
don't report any similar errors.  Sysreport from RHEL3 guest attached.
Comment 5 Jon Stanley 2008-01-07 20:53:01 EST
(This is a mass-update to all current FC6 kernel bugs in NEW state)

Hello,

I'm reviewing this bug list as part of the kernel bug triage project, an attempt
to isolate current bugs in the Fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug, however this version of Fedora is no longer
maintained.

Please attempt to reproduce this bug with a current version of Fedora (presently
Fedora 8). If the bug no longer exists, please close the bug or I'll do so in a
few days if there is no further information lodged.

Thanks for using Fedora!
Comment 6 Jon Stanley 2008-02-07 23:25:49 EST
Per the previous comment in this bug, I am closing it as INSUFFICIENT_DATA,
since no information has been lodged for over 30 days.

Please re-open this bug or file a new one if you can provide the requested data,
and thanks for filing the original report!

Note You need to log in before you can comment on or make changes to this bug.